Множественные уязвимости в MPLAB IDE

Дата публикации:
22.05.2009
Дата изменения:
22.05.2009
Всего просмотров:
2802
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-1608
CVE-2009-1674
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MPLAB IDE 8.x
Уязвимые версии: MPLAB IDE 8.30, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной проверки границ данных при добавлении элементов меню в MPLAB файлах. Удаленный пользователь может с помощью специально сформированного .mcp файла, содержащего слишком длинную запись "[FILE_INFO]", вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за недостаточной проверки границ данных при обработке MPLAB файлов. Удаленный пользователь может с помощью специально сформированного .mcp файла, содержащего слишком длинную запись "[CAT_FILTERS]", вызвать переполнение стека и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки проверки границ данных при форматировании сообщения об ошибке. Удаленный пользователь может с помощью специально сформированного .mcp файла, содержащего слишком длинную запись "[TOOL_SETTINGS]", вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.microchip.com/stellent/idcplg?IdcService=SS_GET_PAGE&nodeId=1406&dDocName=en019469&part=SW007002

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: MPLAB IDE 8.30 (.mcp) Universal SEH Overwrite Exploit
http://security.bkis.vn/?p=654

или введите имя

CAPTCHA